#!/usr/bin/env python2
""" Provides code useful for handling platform differences concisely. """

import sys


def getPlatform():
    """ Return 'linux', 'osx', or 'win'. """
    if sys.platform.startswith('linux'):
        return 'linux'
    if sys.platform.startswith('darwin'):
        return 'osx'
    if sys.platform.startswith('win'):
        return 'win'


def onWindows():
    """ Convenience function for *nix/Windows branching. """
    return getPlatform() == 'win'


def winifyPath(path):
    """ Convert from a/unix/path to a\windows\one when on Windows. Return its
    argument otherwise. """
    if onWindows():
        return path.replace('/', '\\')
    else:
        return path

