"""
This is a setup.py script generated by py2applet

Usage:
    python setup.py py2app
"""

from setuptools import setup
import os

# If you don't want 3rd party libraries included, set this in your environment.  
if os.getenv('NO_THIRD_PARTY', None):
    packages=['libnamehelp',
              'libnamebench']
else:
    packages = [
        'libnamehelp',
        'libnamebench',

        'beautifulsoup',
        'dns',
        'dns/rdtypes',
        'dns/rdtypes/ANY',
        'dns/rdtypes/IN',
        'ntplib',
        'pyasn1',
        'pyasn1/codec',
        'pyasn1/codec/ber',
        'pyasn1/codec/cer',
        'pyasn1/codec/der',
        'pyasn1/type',
        'pydhcplib',
        'rsa',
    ]

APP = ['namehelp_main.py']
DATA_FILES = ['namehelp.default.cfg',
              'aqualab.key',
              'aqualab.crt',
              ("versions", ['versions/namehelp_0.1.zip', 'versions/namehelp_0.1.zip.signature']),
              ("icons", ['icons/attention_18.png', 'icons/attention_48.png', 'icons/default_18.png', 'icons/default_48.png']),
             ]
OPTIONS = {'argv_emulation': True,
           'plist': {"LSUIElement":True,
                    },
           'iconfile': "namehelp.icns",

          }

setup(
    app=APP,
    data_files=DATA_FILES,
    options={'py2app': OPTIONS},
    setup_requires=['py2app'],
    packages=packages,
)
