import sys
from glob import glob
from distutils.core import setup
import py2exe


if len(sys.argv) == 1:
  sys.argv.append("py2exe")
  sys.argv.append("-q")


packages = [
    'libnamehelp',
    'libnamebench',

    'beautifulsoup',
    'dns',
    'dns.rdtypes',
    'dns.rdtypes.ANY',
    'dns.rdtypes.IN',
    'flask',
    'graphy',
    'graphy.backends',
    'graphy.backends.google_chart_api',
    'httplib2',
    'jinja2',
    'ntplib',
    'pyasn1',
    'pyasn1.codec',
    'pyasn1.codec.ber',
    'pyasn1.codec.cer',
    'pyasn1.codec.der',
    'pyasn1.type',
    'pydhcplib',
    'rsa',
    'werkzeug',
    'werkzeug.contrib',
    'werkzeug.debug',
]

modules = [
    'browser_opener.py',
]

data_files = ['namebench.cfg',
              'data_sources.cfg',
              'hostname_reference.cfg',
              'namehelp.default.cfg',
              'aqualab.key',
              'aqualab.crt',
              ("versions", glob(r"versions/*")),
              ("icons", ['icons/attention_18.png',
                         'icons/attention_48.png',
                         'icons/default_18.png',
                         'icons/default_48.png']),
              ('Microsoft.VC100.CRT',
               glob(r'dist/win/Microsoft.VC100.CRT/*.*')),
              ('data', glob(r'data/*')),
              ('templates', glob(r'templates/*'))
             ]

excludes = ["Tkconstants", "Tkinter", "tcl"]

setup(
  version = '0.1',
  name = 'namehelp',
  data_files = data_files,
  packages = packages,
  windows = [{"script": "namehelp.py",
              "icon_resources": [(1, "icons/default.ico")]
             },
             'netwrapper.py',
             'browser_opener.py'],
  options = {'py2exe': {'packages': packages,
                        'dist_dir': 'dist/win/dist/',
                        'excludes': excludes}},
)
